using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Domain;
using RCUHost.Protocols;

namespace RCUHost
{
	public interface IDeviceControlReceiver
	{
		/// <summary>
		/// 设置单个设备
		/// </summary>
		/// <param name="host"></param>
		/// <param name="device"></param>
		void Send(Host host, Device device);
		void Send_Repeat(string Key,Host host, Device device);

		/// <summary>
		/// 设置多个设备
		/// </summary>
		/// <param name="host">设备所在主机</param>
		/// <param name="devices">设备列表</param>
		void Send(Host host, IList<Device> devices);
		void Send_Repeat(string Key,Host host, IList<Device> devices);
	}
}
